> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction by Hash

> Get a specific transaction from its hash.



## OpenAPI

````yaml /reference/api-json.json get /transaction
openapi: 3.0.0
info:
  title: Unified Request
  description: One API for all your web3 needs.
  version: '1.0'
  contact: {}
servers:
  - url: https://api-test.uniblock.dev/uni/v1
    description: Test-Gateway
security:
  - {}
  - ApiKeyAuth: []
tags: []
paths:
  /transaction:
    get:
      tags:
        - Transaction
      summary: Get Transaction by Hash
      description: Get a specific transaction from its hash.
      operationId: TransactionByHash
      parameters:
        - name: chainId
          required: true
          in: query
          description: Unique identifier for a blockchain network.
          schema:
            default: 1
            example: 1
            enum:
              - 1
              - 10
              - 100
              - 10143
              - 10200
              - 1088
              - 1101
              - 11011
              - 11124
              - 11142220
              - 11155111
              - 11155420
              - 11155931
              - 11297108109
              - 1135
              - 1284
              - 1285
              - 130
              - 1301
              - 1315
              - 1328
              - 1329
              - 137
              - 143
              - 146
              - 14601
              - 1514
              - 168587773
              - 1868
              - 1946
              - 2020
              - 2021
              - 204
              - 2201
              - 232
              - 2442
              - 25
              - 250
              - 252
              - 2522
              - 2741
              - 288
              - 28882
              - 30
              - 300
              - 31
              - 324
              - 33111
              - 33139
              - 34443
              - 351243127
              - 360
              - 3636
              - 3637
              - 369
              - 36900
              - 37111
              - 4002
              - 4157
              - 4158
              - 4202
              - 42161
              - 421614
              - 4217
              - 42220
              - 42431
              - 43113
              - 43114
              - 4326
              - 480
              - 4801
              - 5000
              - 5003
              - 510
              - 5115
              - 5330
              - 53302
              - 534351
              - 534352
              - 5371
              - 5373
              - 545
              - 56
              - 560048
              - 5611
              - 57054
              - 57073
              - 59141
              - 59144
              - 592
              - 60808
              - 613419
              - 6343
              - 666666666
              - 685685
              - 6900
              - 69000
              - 6985385
              - 7000
              - 7001
              - 7080969
              - 737373
              - 747
              - 747474
              - 763373
              - 7777777
              - 80002
              - 80069
              - 80094
              - 808813
              - 81457
              - 843843
              - 8453
              - 84532
              - 869
              - 88882
              - 88888
              - 9001
              - 919
              - 97
              - 9745
              - 9746
              - 988
              - 998
              - 999
              - 99999
              - 999999999
              - aptos
              - bitcoin
              - bitcoin-testnet
              - eth-holesky-beacon
              - eth-hoodi-beacon
              - eth-mainnet-beacon
              - eth-sepolia-beacon
              - solana
              - solana-devnet
              - starknet
              - starknet-sepolia
              - sui
            type: string
        - name: transactionHash
          required: true
          in: query
          description: The hash of the transaction to query.
          schema:
            default: '0xf19484f6838e7c75a07a85a6b79c9813a2118aa803001a9e0de2ce64885ca683'
            example: '0xf19484f6838e7c75a07a85a6b79c9813a2118aa803001a9e0de2ce64885ca683'
            type: string
        - name: includeRaw
          required: false
          in: query
          description: >-
            Returns the raw data given by the provider. WARNING: removes backup
            feature, and raw data returned is not normalized which might make
            switching providers difficult
          schema:
            example: null
            type: boolean
        - name: provider
          required: false
          in: query
          description: >-
            Specify which provider to use. The project's provider priority list
            is used by default if no providers are selected. (Priority list can
            be managed on Uniblock's dashboard)
          schema:
            enum:
              - Alchemy
              - Moralis
              - Helius
              - Shyft
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionResponse'
components:
  schemas:
    TransactionResponse:
      type: object
      properties: {}
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API key to access the API (optional)

````